Package org.apache.maven.scm.repository

## Class ScmRepositoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.scm.ScmException
      - - org.apache.maven.scm.repository.ScmRepositoryException

All Implemented Interfaces:
  `java.io.Serializable`

    public class ScmRepositoryException
    extends ScmException

Author:
  Trygve Laugstøl, Olivier Lamy
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ScmRepositoryException​(java.lang.String msg)`
`ScmRepositoryException​(java.lang.String msg, java.lang.Throwable cause)`
`ScmRepositoryException​(java.lang.String msg, java.util.List<java.lang.String> validationMessages)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<java.lang.String>` `getValidationMessages()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScmRepositoryException

    public ScmRepositoryException​(java.lang.String msg)

#### ScmRepositoryException

    public ScmRepositoryException​(java.lang.String msg,
                                  java.lang.Throwable cause)

#### ScmRepositoryException

    public ScmRepositoryException​(java.lang.String msg,
                                  java.util.List<java.lang.String> validationMessages)

### Method Detail

#### getValidationMessages

    public java.util.List<java.lang.String> getValidationMessages()